petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSTrajectoryGetType

Gets the trajectory type

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectoryGetType(TSTrajectory tj,TS ts,TSTrajectoryType *type)

Collective on TS

### Input Parameters

| tj | - the TSTrajectory context
| ts | - the TS context

### Output Parameters

type -a known method

### See Also

TS, TSTrajectoryCreate(), TSTrajectorySetFromOptions(), TSTrajectoryDestroy(), TSTrajectorySetType()

### Level

developer

### Location

src/ts/trajectory/interface/traj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages